Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::RemoteModbusDevice Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteModbusDevice:

## Public Attributes

map< int, string > | detectionIdentifiers
| list of expected device identifiers
int | unitId
| modbus server address
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl